%define rbname ecore
%define version 0.0.0
%define release %mkrel 1.20070422.1

Summary: Ruby binding for ecore
Name: ruby-%{rbname}

Version: %{version}
Release: %{release}
Group: Development/Ruby
License: MIT
URL: http://code-monkey.de/projects/ruby-efl.html
Source0: %{name}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ecore-devel ruby-evas-devel
BuildRequires: ruby-rake ruby-devel

%package devel
Summary: Ruby binding for ecore - developpment files
Group: Development/C

%description
This is a Ruby binding for ecore.

%description devel
This package contains files needed to build objects linked on ruby-ecore

%prep
%setup -q -n %{name}

%build
ECORE_PREFIX=%{_prefix} rake 

%install
mkdir -p %{buildroot}%{ruby_archdir}
ECORE_PREFIX=%{_prefix} DESTDIR=%{buildroot} rake install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{ruby_sitearchdir}/*.so

%files devel
%defattr(-, root, root)
%{ruby_sitearchdir}/%{rbname}



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.0-1.20070422.1mdv2008.1
+ Revision: 140753
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 27 2007 Pascal Terjan <pterjan@mandriva.org> 0.0.0-1.20070422.1mdv2008.0
+ Revision: 31634
- ChangeLog no longer exists
- use Development/C for the -devel
- Use mkrel
- Use Development/Ruby group
- Use std macros


* Thu Dec 22 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.2mdk
- BuildRequires ruby-devel

* Sun Aug 14 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.0-0.svn346.1mdk
- First version of the package

